## gimp 3.0.0

=== debian/changelog ===
gimp (3.0.0-2) unstable; urgency=medium

  * Add Depends: librsvg2-common (Closes: #1099419)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 14:36:50 -0400

gimp (3.0.0-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum babl & gegl
  * debian/libgimp-3.0-0.symbols: Update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 09:53:40 -0400

=== debian/control ===
Source: gimp
Priority: optional
Section: graphics
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               appstream-util,
               desktop-file-utils <!nocheck>,
               dpkg-dev (>= 1.22.5),
               dh-sequence-gir,
               gegl (>= 1:0.4.56),
               gettext,
#               gjs [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64],
               glib-networking,
               iso-codes,
               libaa1-dev,
               libappstream-glib-dev (>= 0.7.7),
               libasound2-dev (>= 1.0.0) [linux-any],
               libatk1.0-dev (>= 2.4.0),
               libbabl-dev (>= 1:0.1.112),
               libbz2-dev,
               libcairo2-dev (>= 1.14.0),
               libcfitsio-dev,
               libexif-dev (>= 0.6.15),
               libexiv2-dev (>= 0.27.4),
               libfontconfig-dev (>= 2.12.4),
               libfreetype-dev (>= 2.2),
               libgdk-pixbuf-2.0-dev (>= 2.30.8),
               libgdk-pixbuf2.0-doc,
               libgegl-dev (>= 1:0.4.56),
               libgexiv2-dev (>= 0.14.0),
               libgirepository1.0-dev (>= 1.32.0),
#               libgjs-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64],
               libglib2.0-dev (>= 2.70.0),
               libglib2.0-doc,
               libgs-dev,
               libgtk-3-dev (>= 3.22.29),
               libgtk-3-doc,
               libgudev-1.0-dev (>= 167) [linux-any],
               libharfbuzz-dev (>= 2.8.2),
               libheif-dev (>= 1.15.1),
               libice-dev,
               libjpeg-dev,
               libjson-glib-dev (>= 1.2.6),
               libjxl-dev (>= 0.7.0),
               liblcms2-dev (>= 2.9),
#               libluajit-5.1-dev [amd64 arm64 armel armhf i386 mips64el riscv64 s390x loong64 powerpc],
               liblzma-dev (>= 5.0.0),
#               libmng-dev,
               libmypaint-dev (>= 1.4.0),
               libopenexr-dev (>= 1.6.1),
               libopenjp2-7-dev (>= 2.1.0),
               libpango1.0-dev (>= 1.50.0),
               libpng-dev (>= 1.6.25),
               libpoppler-glib-dev (>= 0.69.0),
               libqoi-dev,
               librsvg2-dev (>= 2.40.0),
               libsm-dev,
               libtiff-dev,
               libwebp-dev (>= 0.6.0),
               libwmf-dev (>= 0.2.8),
               libx11-dev,
               libxcursor-dev,
               libxml2-utils,
               libxmu-dev,
               libxpm-dev,
               libxt-dev,
               libhwy-dev, libbrotli-dev, liblcms-dev,
               zlib1g-dev,
               meson (>= 0.56),
               mypaint-brushes,
               patchutils,
               poppler-data (>= 0.4.9),
               python-gi-dev,
               shared-mime-info,
               valac (>= 0.40.0),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               xsltproc
Build-Depends-Indep: gi-docgen <!nodoc>,
                     yelp-tools
Rules-Requires-Root: no
Standards-Version: 4.7.0
X-Ubuntu-Use-Langpack: yes
Vcs-Git: https://salsa.debian.org/gnome-team/gimp.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gimp
Homepage: https://www.gimp.org/

Package: gimp
Architecture: any
Depends: libgimp-3.0-0 (>= ${source:Upstream-Version}),
         libgimp-3.0-0 (<= ${source:Upstream-Version}-z),
         librsvg2-common,
         gimp-data (>= ${source:Upstream-Version}),
         gimp-data (<= ${source:Upstream-Version}-z),
         gir1.2-gimp-3.0 (= ${binary:Version}),
         graphviz,
         xdg-utils,
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ghostscript
Suggests: gimp-help-en | gimp-help,
          gimp-data-extras,
#          gjs [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64],
          gvfs-backends,
#          luajit [amd64 arm64 armel armhf i386 mips64el riscv64 s390x loong64 powerpc],
          python3
Conflicts: gimp-dds,
Breaks: gimp-plugin-registry (<< 7.20140602+nmu1~)
Replaces: gimp-dds,
          gimp-plugin-registry (<< 7.20140602+nmu1~)
Description: GNU Image Manipulation Program
 GIMP is an advanced picture editor. You can use it to edit, enhance, and
 retouch photos and scans, create drawings, and make your own images.
 It has a large collection of professional-level editing tools and
 filters, similar to the ones you might find in Photoshop. Numerous
 fine-control settings and features like layers, paths, masks, and
 scripting give you total control over your images.
 .
 Many image file formats are supported, including JPEG, Photoshop (.psd),
 and Paint Shop Pro (.psp) files. It can also be used to scan and print
 photos.
 .
 To open files remotely (like over HTTP), install the gvfs-backends
 package.
 .
 To use a MIDI device (like a musical keyboard) as an input controller in GIMP,
 install libasound2 and read the how-to at /usr/share/doc/gimp/README.MIDI

Package: gimp-data
Architecture: all
Enhances: gimp
Depends: ${misc:Depends}
Description: Data files for GIMP
 This package contains architecture-independent supporting data files
 for use with GIMP.

Package: libgimp-3.0-0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: gimp-data (>= ${source:Upstream-Version}),
            gimp-data (<= ${source:Upstream-Version}-z)
Description: Libraries for the GNU Image Manipulation Program
 This package includes the libgimp libraries, which are
 necessary to run GIMP and third-party GIMP plugins.

Package: libgimp-3.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: gir1.2-gimp-3.0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libgegl-dev (>= 1:0.4.56),
         libgexiv2-dev (>= 0.14.0),
         libgimp-3.0-0 (= ${binary:Version}),
         libgimp-3.0-bin (= ${binary:Version}),
         libgtk-3-dev (>= 3.22.29),
         pkgconf
Provides: ${gir:Provides}
Suggests: libgimp-3.0-doc
Description: Headers and other files for compiling plugins for GIMP
 This package contains the header files for the GNU Image Manipulation
 Program, along with the static versions of libgimp.
 .
 Install this package if you wish to compile your own plugins,
 or if you wish to develop packages that use libgimp.

Package: libgimp-3.0-bin
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: libgimp-3.0-doc
Description: Development binaries for the GIMP library
 This package contains binaries that are necessary to develop gimp
 plugins or packages that use libgimp.
 .
 Currently, it contains the gimptool-2.99 binary.

Package: libgimp-3.0-doc
Architecture: all
Section: doc
Build-Profiles: <!nodoc>
Depends: ${misc:Depends},
         lynx | www-browser
Description: Developers' Documentation for the GIMP library
 This package contains the HTML documentation for the GIMP library in
 /usr/share/gtk-doc/html/ .

Package: gir1.2-gimp-3.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: gir1.2-gimpui-3.0 (= ${binary:Version})
Description: Instrospection data for the GIMP library
 This package includes the libgimp libraries, which are necessary to run
 GIMP and third-party GIMP plugins.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings for libgimp operations.

## gimp 3.0.2

=== debian/changelog ===
gimp (3.0.2-1) unstable; urgency=medium

  * New upstream bugfix release
    https://www.gimp.org/news/2025/03/23/gimp-3-0-2-released/
  * Bump minimum gegl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 26 Mar 2025 09:11:20 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                desktop-file-utils <!nocheck>,
                dpkg-dev (>= 1.22.5),
                dh-sequence-gir,
-               gegl (>= 1:0.4.56),
+               gegl (>= 1:0.4.58),
                gettext,
 #               gjs [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64],
                glib-networking,
@@ -27,7 +27,7 @@
                libfreetype-dev (>= 2.2),
                libgdk-pixbuf-2.0-dev (>= 2.30.8),
                libgdk-pixbuf2.0-doc,
-               libgegl-dev (>= 1:0.4.56),
+               libgegl-dev (>= 1:0.4.58),
                libgexiv2-dev (>= 0.14.0),
                libgirepository1.0-dev (>= 1.32.0),
 #               libgjs-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64],
@@ -154,7 +154,7 @@
 Depends: gir1.2-gimp-3.0 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends},
-         libgegl-dev (>= 1:0.4.56),
+         libgegl-dev (>= 1:0.4.58),
          libgexiv2-dev (>= 0.14.0),
          libgimp-3.0-0 (= ${binary:Version}),
          libgimp-3.0-bin (= ${binary:Version}),

=== debian/rules ===
#!/usr/bin/make -f

# Temporarily disable LTO https://gitlab.gnome.org/GNOME/gimp/-/issues/9633
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
	BUGTRACKER = https://bugs.launchpad.net/ubuntu/+source/gimp/+filebug?no-redirect
else
	BUGTRACKER = https://www.debian.org/Bugs/Reporting
endif

built_binaries := $(shell dh_listpackages)

ifneq ($(filter %-doc,$(built_binaries)),)
	BUILD_DOCS := -Dgi-docgen=enabled
else
	BUILD_DOCS := -Dgi-docgen=disabled
endif

# Check Filters > Development > Plug-in Examples
# If this is enabled, a JavaScript version is installed but there is no menu button for it
# Therefore, we disable it
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64))
	JS = disabled
else
	JS = disabled
endif

# Upstream has marked the Lua plugins as experimental and disabled by default
# One of the plugins is an example like JavaScript but there is no menu button for it either
ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el riscv64 s390x loong64 powerpc))
	LUA = false
else
	LUA = false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dlibexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/gimp \
		-Dauto_features=enabled \
		$(BUILD_DOCS) \
		-Dcheck-update=no \
		-Dappdata-test=disabled \
		-Dheadless-tests=disabled \
		-Djavascript=$(JS) \
		-Dlua=$(LUA) \
		-Dmng=disabled \
		-Dilbm=disabled \
		-Dbug-report-url=$(BUGTRACKER)

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gimp/3.0/modules

# Give tests more time on slow architectures like riscv64
override_dh_auto_test:
	xvfb-run -s -noreset -a dh_auto_test --  --verbose --timeout-multiplier 5

=== debian/tests/control ===
Tests: libgimp-3.0-dev
Depends: build-essential, libgimp-3.0-dev, xauth, xvfb
Restrictions: allow-stderr superficial

## gimp 3.0.4

=== meson_options.txt ===
# Build properties
option('ansi',              type: 'boolean', value: false,  description: 'Turn on strict ansi')
option('enable-console-bin',type: 'boolean', value: true,   description: 'Build a console-only binary which does not link GTK')
option('win32-debug-console',type:'feature', value: 'auto', description: 'Open a console when starting the program')
option('enable-multiproc',  type: 'boolean', value: true,   description: 'Support for multiple processors')
option('profiling',         type: 'boolean', value: false,  description: 'Enable profiling')
option('windows-installer', type: 'boolean', value: false,  description: 'Generate files needed for the Inno Windows installer')
option('ms-store',          type: 'boolean', value: false,  description: 'Generate files needed for the Microsoft Store .msixupload and/or .msixbundle')

option('relocatable-bundle', type: 'combo', value: 'platform-default',
                             description: 'build with resources considered bundled under the same prefix',
                             choices: [ 'yes', 'no', 'platform-default' ])

option('shmem-type',        type: 'combo',   value: 'auto', description: 'Shared memory transport type',
                                             choices: [ 'none', 'sysv', 'posix', 'win32', 'auto' ])

option('build-id',          type: 'string',  value: 'unknown', description: 'Unique string used to define your build')
option('revision',          type: 'integer', value: 0,    description: 'Revision increment for a package')
option('check-update',      type: 'combo', value: 'platform-default',
                            description: 'GIMP will look up new version availability on startup',
                            choices: [ 'yes', 'no', 'platform-default' ])

option('bug-report-url',    type: 'string',  value: '',   description: 'URL used by the debug dialog to report bugs')
option('gimpdir',           type: 'string',  value: '',   description: 'Change default gimpdir from ~/.config/GIMP/3.0 to ~/.config/DIR/3.0 (if relative), or to DIR (if absolute)')
option('icc-directory',     type: 'string',  value: '',   description: 'Path to default color profiles for this system')
option('directx-sdk-dir',   type: 'string',  value: '',   description: 'Prefix where the DirectX SDK is installed(optional)')
option('with-sendmail',     type: 'string',  value: '',   description: 'Use Sendmail instead of Xdg-email')

option('win32-32bits-dll-folder', type: 'string',  value: '32/bin', description: 'alternative folder with 32-bit versions of DLL libraries on Windows')
option('libunwind',         type: 'boolean', value: true, description: 'Build with libunwind for backtrace')
option('libbacktrace',      type: 'boolean', value: true, description: 'Build with libbacktrace support')

# Features

option('enable-default-bin',type: 'feature', value: 'auto', description: 'Install unversioned symlinks pointing to versioned executables (on UNIX) or unversioned duplicates (on Windows)')
option('aa',                type: 'feature', value: 'auto', description: 'AA plugin')
option('alsa',              type: 'feature', value: 'auto', description: 'Alsa support in midi input controller')
option('appdata-test',      type: 'feature', value: 'auto', description: 'Validate the appdata file')
option('cairo-pdf',         type: 'feature', value: 'auto', description: 'Cairo-pdf support')
option('fits',              type: 'feature', value: 'auto', description: 'Support for loading/exporting FITS images')
option('ghostscript',       type: 'feature', value: 'auto', description: 'Ghostscript support')
option('gudev',             type: 'feature', value: 'auto', description: 'Gudev support')
option('heif',              type: 'feature', value: 'auto', description: 'HEIF support')
option('ilbm',              type: 'feature', value: 'auto', description: 'Amiga IFF support')
option('jpeg2000',          type: 'feature', value: 'auto', description: 'Jpeg-2000 support')
option('jpeg-xl',           type: 'feature', value: 'auto', description: 'JPEG XL support')
option('mng',               type: 'feature', value: 'auto', description: 'Mng support')
option('openexr',           type: 'feature', value: 'auto', description: 'Openexr support')
option('openmp',            type: 'feature', value: 'auto', description: 'OpenMP support')
option('print',             type: 'boolean', value: true,   description: 'Print support')
option('webkit-unmaintained',type: 'boolean', value: false,  description: 'Help browser and webpage plugins (unmaintained)')
option('webp',              type: 'feature', value: 'auto', description: 'Webp support')
option('wmf',               type: 'feature', value: 'auto', description: 'Wmf support')
option('xcursor',           type: 'feature', value: 'auto', description: 'Xcursor support')
option('xpm',               type: 'feature', value: 'auto', description: 'XPM support')
option('headless-tests',    type: 'feature', value: 'auto', description: 'Use xvfb-run/dbus-run-session for UI-dependent automatic tests')
option('file-plug-ins-test', type: 'boolean', value: 'false', description: 'Always install test-file-plug-ins (mostly for CI testing)')

option('can-crosscompile-gir', type: 'boolean', value: false, description: 'GIR is buildable even if crosscompiling')

option('gi-docgen',         type: 'feature', value: 'auto', description: 'Build developer documentation (uses gi-docgen)')

option('linux-input',       type: 'feature', value: 'auto', description: 'Linux input event controller module')
option('vector-icons',      type: 'boolean', value: true,   description: 'Use vector icons rather than raster ones')

option('vala',              type: 'feature', value: 'auto', description: 'Build VAPI and Vala plugins')
option('javascript',        type: 'feature', value: 'auto', description: 'Install Javascript plug-ins')
option('lua',               type: 'boolean', value: false,  description: 'Install Lua plug-ins (experimental)')

option('debug-self-in-build', type: 'boolean', value: false, description: 'Run in-build GIMP within gdb for debugging purpose')

=== debian/changelog ===
gimp (3.0.4-6.2deepin1) unstable; urgency=medium

  * Revert previous switching from appstream-glib to appstream.
  * skip test to fix build.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 20 Nov 2025 14:50:14 +0800

gimp (3.0.4-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * plug-ins: fix ZDI-CAN-27823 (CVE-2025-10934) (Closes: #1119661)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 30 Oct 2025 21:13:18 +0100

gimp (3.0.4-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * plug-ins: Fix ZDI-CAN-27684 (CVE-2025-10920) (Closes: #1116458)
  * plug-ins: fix dicom plug-in ZDI-CAN-27863 (CVE-2025-10922)
    (Closes: #1116459)
  * plug-ins: fix ZDI-CAN-27878 (CVE-2025-10923) (Closes: #1116460)
  * plug-ins: Fix ZDI-CAN-27836 (CVE-2025-10924) (Closes: #1116461)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 29 Sep 2025 20:57:32 +0200

gimp (3.0.4-6) unstable; urgency=medium

  * Team upload
  * d/control: Replace transitional libgirepository1.0-dev B-D.
    This package uses the actual library, so replace it with the
    combination of gobject-introspection and libgirepository-1.0-dev.
  * d/control: Add missing gir1.2-*-dev B-D as reported by dh_girepository
  * d/control: Add ${gir:Depends} to -dev package
  * d/control: Use ${gir:Provides} instead of hard-coding it
  * d/copyright: Don't quote the FSF's former postal address here
  * d/libgimp-3.0-doc.links: Fix devhelp integration
  * d/libgimp-3.0-doc.doc-base.*: Register API documentation with doc-base

 -- Simon McVittie <smcv@debian.org>  Mon, 08 Sep 2025 14:31:58 +0100

gimp (3.0.4-5) unstable; urgency=medium

  * Remove obsolete Rules-Requires-Root: no field
  * Remove unnecessary X-Ubuntu-Langpack: yes field
  * Opt into Salsa CI but disable the reproducibility test

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 07 Sep 2025 20:52:38 -0400

gimp (3.0.4-4) unstable; urgency=medium

  * Cherry-pick patch to switch from appstream-glib to appstream
  * Update Build-Depends: libappstream-glib-dev → libappstream-dev
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Aug 2025 20:11:21 -0400

gimp (3.0.4-3) unstable; urgency=high

  * plug-ins: ZDI-CAN-26752 mitigation for 32-bit (Closes: #1107758)
    - CVE-2025-2760

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 02 Jul 2025 10:46:57 -0400

gimp (3.0.4-2) unstable; urgency=medium

  * Set NO_AT_BRIDGE=1 for dh_auto_test
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 01 Jun 2025 12:57:17 -0400

gimp (3.0.4-1) experimental; urgency=medium

  * New upstream bugfix release
    https://www.gimp.org/news/2025/05/18/gimp-3-0-4-released/
  * Bump minimum babl and gegl
  * Remove remaining patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 May 2025 09:29:39 -0400

gimp (3.0.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * plug-ins: ZDI-CAN-26752 mitigation (Closes: #1105005)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 17 May 2025 14:05:55 +0200

gimp (3.0.2-3) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 15:00:50 +0200

gimp (3.0.2-2) unstable; urgency=medium

  * Add Depends: python3-gi (Closes: #1096155)
  * Fix typo in gir1.2-gimp-3.0 package description (Closes: #1101747)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 20 Apr 2025 11:09:48 -0400

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-               appstream-util,
+               dh-sequence-gir,
+               dpkg-dev (>= 1.22.5),
+               appstream,
                desktop-file-utils <!nocheck>,
-               dpkg-dev (>= 1.22.5),
-               dh-sequence-gir,
-               gegl (>= 1:0.4.58),
+               gegl (>= 1:0.4.62),
                gettext,
 #               gjs [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64],
                glib-networking,
@@ -17,7 +17,8 @@
                libappstream-glib-dev (>= 0.7.7),
                libasound2-dev (>= 1.0.0) [linux-any],
                libatk1.0-dev (>= 2.4.0),
-               libbabl-dev (>= 1:0.1.112),
+               libbabl-dev (>= 1:0.1.114),
+               libbrotli-dev,
                libbz2-dev,
                libcairo2-dev (>= 1.14.0),
                libcfitsio-dev,
@@ -27,7 +28,7 @@
                libfreetype-dev (>= 2.2),
                libgdk-pixbuf-2.0-dev (>= 2.30.8),
                libgdk-pixbuf2.0-doc,
-               libgegl-dev (>= 1:0.4.58),
+               libgegl-dev (>= 1:0.4.62),
                libgexiv2-dev (>= 0.14.0),
                libgirepository1.0-dev (>= 1.32.0),
 #               libgjs-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64],
@@ -39,10 +40,12 @@
                libgudev-1.0-dev (>= 167) [linux-any],
                libharfbuzz-dev (>= 2.8.2),
                libheif-dev (>= 1.15.1),
+               libhwy-dev,
                libice-dev,
                libjpeg-dev,
                libjson-glib-dev (>= 1.2.6),
                libjxl-dev (>= 0.7.0),
+               liblcms-dev,
                liblcms2-dev (>= 2.9),
 #               libluajit-5.1-dev [amd64 arm64 armel armhf i386 mips64el riscv64 s390x loong64 powerpc],
                liblzma-dev (>= 5.0.0),
@@ -65,8 +68,6 @@
                libxmu-dev,
                libxpm-dev,
                libxt-dev,
-               libhwy-dev, libbrotli-dev, liblcms-dev,
-               zlib1g-dev,
                meson (>= 0.56),
                mypaint-brushes,
                patchutils,
@@ -75,40 +76,38 @@
                shared-mime-info,
                valac (>= 0.40.0),
                xauth <!nocheck>,
+               xsltproc,
                xvfb <!nocheck>,
-               xsltproc
-Build-Depends-Indep: gi-docgen <!nodoc>,
-                     yelp-tools
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
-X-Ubuntu-Use-Langpack: yes
+               zlib1g-dev
+Build-Depends-Indep: gi-docgen <!nodoc>, yelp-tools
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/gnome-team/gimp.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gimp
 Homepage: https://www.gimp.org/
 
 Package: gimp
 Architecture: any
-Depends: libgimp-3.0-0 (>= ${source:Upstream-Version}),
-         libgimp-3.0-0 (<= ${source:Upstream-Version}-z),
-         librsvg2-common,
+Depends: gimp-data (<= ${source:Upstream-Version}-z),
          gimp-data (>= ${source:Upstream-Version}),
-         gimp-data (<= ${source:Upstream-Version}-z),
          gir1.2-gimp-3.0 (= ${binary:Version}),
          graphviz,
+         libgimp-3.0-0 (<= ${source:Upstream-Version}-z),
+         libgimp-3.0-0 (>= ${source:Upstream-Version}),
+         librsvg2-common,
+         python3-gi,
          xdg-utils,
-         ${shlibs:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: ghostscript
-Suggests: gimp-help-en | gimp-help,
-          gimp-data-extras,
+Suggests: gimp-data-extras,
+          gimp-help-en | gimp-help,
 #          gjs [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64],
           gvfs-backends,
 #          luajit [amd64 arm64 armel armhf i386 mips64el riscv64 s390x loong64 powerpc],
           python3
-Conflicts: gimp-dds,
+Conflicts: gimp-dds
 Breaks: gimp-plugin-registry (<< 7.20140602+nmu1~)
-Replaces: gimp-dds,
-          gimp-plugin-registry (<< 7.20140602+nmu1~)
+Replaces: gimp-dds, gimp-plugin-registry (<< 7.20140602+nmu1~)
 Description: GNU Image Manipulation Program
  GIMP is an advanced picture editor. You can use it to edit, enhance, and
  retouch photos and scans, create drawings, and make your own images.
@@ -139,10 +138,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Recommends: gimp-data (>= ${source:Upstream-Version}),
-            gimp-data (<= ${source:Upstream-Version}-z)
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: gimp-data (<= ${source:Upstream-Version}-z),
+            gimp-data (>= ${source:Upstream-Version})
 Description: Libraries for the GNU Image Manipulation Program
  This package includes the libgimp libraries, which are
  necessary to run GIMP and third-party GIMP plugins.
@@ -152,14 +150,15 @@
 Multi-Arch: same
 Section: libdevel
 Depends: gir1.2-gimp-3.0 (= ${binary:Version}),
-         ${shlibs:Depends},
-         ${misc:Depends},
-         libgegl-dev (>= 1:0.4.58),
+         libgegl-dev (>= 1:0.4.62),
          libgexiv2-dev (>= 0.14.0),
          libgimp-3.0-0 (= ${binary:Version}),
          libgimp-3.0-bin (= ${binary:Version}),
          libgtk-3-dev (>= 3.22.29),
-         pkgconf
+         pkgconf,
+         ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends}
 Provides: ${gir:Provides}
 Suggests: libgimp-3.0-doc
 Description: Headers and other files for compiling plugins for GIMP
@@ -173,8 +172,7 @@
 Architecture: any
 Multi-Arch: foreign
 Section: libdevel
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: libgimp-3.0-doc
 Description: Development binaries for the GIMP library
  This package contains binaries that are necessary to develop gimp
@@ -186,8 +184,7 @@
 Architecture: all
 Section: doc
 Build-Profiles: <!nodoc>
-Depends: ${misc:Depends},
-         lynx | www-browser
+Depends: lynx | www-browser, ${misc:Depends}
 Description: Developers' Documentation for the GIMP library
  This package contains the HTML documentation for the GIMP library in
  /usr/share/gtk-doc/html/ .
@@ -196,11 +193,9 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends},
-         ${shlibs:Depends}
-Provides: gir1.2-gimpui-3.0 (= ${binary:Version})
-Description: Instrospection data for the GIMP library
+Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
+Provides: ${gir:Provides}
+Description: Introspection data for the GIMP library
  This package includes the libgimp libraries, which are necessary to run
  GIMP and third-party GIMP plugins.
  .

## gimp 3.0.6

=== debian/changelog ===
gimp (3.0.6-1) unstable; urgency=medium

  * New upstream bugfix release (Closes: #1117537)
    https://www.gimp.org/news/2025/10/06/gimp-3-0-6-released/
  * debian/libgimp-3.0-0.symbols: Update
  * Cherry-pick proposed patch to fix build test failure
  * Remove all other patches: applied in new release
  * debian/watch: Convert to Version: 5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Dec 2025 21:04:56 -0500

=== debian/watch ===
Version: 5
Source: https://download.gimp.org/pub/@PACKAGE@/(v[\d\.]+[02468])/

## gimp 3.2.0~RC2

=== debian/changelog ===
gimp (3.2.0~RC2-3~mx25+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Add a minimum version for libmng-dev build-dep, as it FTBFS on Trixie's.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 29 Jan 2026 14:00:16 -0800

gimp (3.2.0~RC2-3) unstable; urgency=medium

  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Move vala files from gimp to libgimp-3.0-dev
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 Jan 2026 09:53:39 -0500

gimp (3.2.0~RC2-2) unstable; urgency=medium

  * Allow building on m68k

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Dec 2025 12:06:27 -0500

gimp (3.2.0~RC2-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: dbus-x11 for build tests
  * Bump minimum babl & gegl
  * Use localehelper for build
  * Enable mng plugin since libmng-dev now includes the .pc file
  * Explicitly disable alsa for non-Linux architectures
  * Only build for little endian (#1088168)
  * gimp.install: Install new bash completions
  * Install new plug-ins
  * Update install files for new version
  * libgimp-3.0-0.symbols: Add new symbols
  * Add patch to use a more consistent version number when installing
    the API docs
  * Remove all other patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Dec 2025 07:55:31 -0500

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,36 @@
 Source: gimp
 Priority: optional
 Section: graphics
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Jordi Mallach <jordi@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dpkg-dev (>= 1.22.5),
                appstream,
+               architecture-is-little-endian [!m68k],
+               dbus-daemon <!nocheck>,
                desktop-file-utils <!nocheck>,
-               gegl (>= 1:0.4.62),
+               gegl (>= 1:0.4.66),
                gettext,
+               gir1.2-babl-0.1-dev,
+               gir1.2-cairo-1.0-dev,
+               gir1.2-gdkpixbuf-2.0-dev,
+               gir1.2-gegl-0.4-dev,
+               gir1.2-gio-2.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-gtk-3.0-dev,
+               gir1.2-pango-1.0-dev,
 #               gjs [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64],
                glib-networking,
+               gobject-introspection (>= 1.80),
                iso-codes,
                libaa1-dev,
-               libappstream-glib-dev (>= 0.7.7),
+               libappstream-dev,
+               libarchive-dev,
                libasound2-dev (>= 1.0.0) [linux-any],
                libatk1.0-dev (>= 2.4.0),
-               libbabl-dev (>= 1:0.1.114),
+               libbabl-dev (>= 1:0.1.116),
                libbrotli-dev,
                libbz2-dev,
                libcairo2-dev (>= 1.14.0),
@@ -28,9 +41,9 @@
                libfreetype-dev (>= 2.2),
                libgdk-pixbuf-2.0-dev (>= 2.30.8),
                libgdk-pixbuf2.0-doc,
-               libgegl-dev (>= 1:0.4.62),
+               libgegl-dev (>= 1:0.4.66),
                libgexiv2-dev (>= 0.14.0),
-               libgirepository1.0-dev (>= 1.32.0),
+               libgirepository-1.0-dev (>= 1.32.0),
 #               libgjs-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64],
                libglib2.0-dev (>= 2.70.0),
                libglib2.0-doc,
@@ -49,7 +62,7 @@
                liblcms2-dev (>= 2.9),
 #               libluajit-5.1-dev [amd64 arm64 armel armhf i386 mips64el riscv64 s390x loong64 powerpc],
                liblzma-dev (>= 5.0.0),
-#               libmng-dev,
+               libmng-dev (>= 2.0.0~),
                libmypaint-dev (>= 1.4.0),
                libopenexr-dev (>= 1.6.1),
                libopenjp2-7-dev (>= 2.1.0),
@@ -68,6 +81,7 @@
                libxmu-dev,
                libxpm-dev,
                libxt-dev,
+               localehelper,
                meson (>= 0.56),
                mypaint-brushes,
                patchutils,
@@ -80,9 +94,9 @@
                xvfb <!nocheck>,
                zlib1g-dev
 Build-Depends-Indep: gi-docgen <!nodoc>, yelp-tools
-Standards-Version: 4.7.2
-Vcs-Git: https://salsa.debian.org/gnome-team/gimp.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gimp
+Standards-Version: 4.7.3
+Vcs-Git: https://salsa.debian.org/gnome-team/extras/gimp.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/extras/gimp
 Homepage: https://www.gimp.org/
 
 Package: gimp
@@ -150,7 +164,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: gir1.2-gimp-3.0 (= ${binary:Version}),
-         libgegl-dev (>= 1:0.4.62),
+         libgegl-dev (>= 1:0.4.66),
          libgexiv2-dev (>= 0.14.0),
          libgimp-3.0-0 (= ${binary:Version}),
          libgimp-3.0-bin (= ${binary:Version}),
@@ -161,6 +175,8 @@
          ${shlibs:Depends}
 Provides: ${gir:Provides}
 Suggests: libgimp-3.0-doc
+Breaks: gimp (<< 3.2.0~RC2-3~)
+Replaces: gimp (<< 3.2.0~RC2-3~)
 Description: Headers and other files for compiling plugins for GIMP
  This package contains the header files for the GNU Image Manipulation
  Program, along with the static versions of libgimp.

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,6 @@
 	BUGTRACKER = https://bugs.launchpad.net/ubuntu/+source/gimp/+filebug?no-redirect
 else
 	BUGTRACKER = https://www.debian.org/Bugs/Reporting
-endif
-
-built_binaries := $(shell dh_listpackages)
-
-ifneq ($(filter %-doc,$(built_binaries)),)
-	BUILD_DOCS := -Dgi-docgen=enabled
-else
-	BUILD_DOCS := -Dgi-docgen=disabled
 endif
 
 # Check Filters > Development > Plug-in Examples
@@ -36,6 +28,10 @@
 	LUA = false
 endif
 
+ifneq ($(DEB_HOST_ARCH_OS), linux)
+	NON_LINUX = -Dalsa=disabled -Dgudev=disabled
+endif
+
 %:
 	dh $@
 
@@ -43,19 +39,27 @@
 	dh_auto_configure -- \
 		-Dlibexecdir=/usr/lib/$(DEB_HOST_MULTIARCH)/gimp \
 		-Dauto_features=enabled \
-		$(BUILD_DOCS) \
+		-Dappdata-test=disabled \
+		-Dbug-report-url=$(BUGTRACKER) \
 		-Dcheck-update=no \
-		-Dappdata-test=disabled \
-		-Dheadless-tests=disabled \
+		-Dgi-docgen=$(if $(filter %-doc,$(shell dh_listpackages)),enabled,disabled) \
+		-Dheadless-tests=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),disabled,enabled) \
+		-Dilbm=disabled \
 		-Djavascript=$(JS) \
 		-Dlua=$(LUA) \
-		-Dmng=disabled \
-		-Dilbm=disabled \
-		-Dbug-report-url=$(BUGTRACKER)
+		$(NON_LINUX)
+
+override_dh_auto_build:
+	localehelper LANG=en_US.UTF-8 dh_auto_build
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gimp/3.0/modules
 
 # Give tests more time on slow architectures like riscv64
 override_dh_auto_test:
-	xvfb-run -s -noreset -a dh_auto_test --  --verbose --timeout-multiplier 5
+	NO_AT_BRIDGE=1 xvfb-run -s -noreset -a dh_auto_test --  --verbose --timeout-multiplier 5
+
+# No dbgsym packages:
+override_dh_strip:
+	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
+	dh_strip --no-automatic-dbgsym

## gimp 3.2.0~RC3

=== debian/changelog ===
gimp (3.2.0~RC3-1) unstable; urgency=high

  * New upstream release including multiple plug-in security fixes:
    - CVE-2026-0797 (Closes: #1128601)
    - CVE-2026-2045 (Closes: #1128604)
    - CVE-2026-2047 (Closes: #1128605)
    - CVE-2026-2048 (Closes: #1128606)
    - https://www.gimp.org/news/2026/03/02/gimp-3-2-RC3-released/
  * Add Build-Depends: bash-completion
  * debian/libgimp-3.0-0.symbols: Add new symbols
  * Bump minimum babl
  * Remove all patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Mar 2026 18:36:30 -0500

gimp (3.2.0~RC2-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * plug-ins: fix crash due to uninitialized ptr_array when loading a
    specially crafted PSD

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 16 Feb 2026 17:02:46 +0100

gimp (3.2.0~RC2-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * plug-ins: fix PSD loader: heap-buffer-overflow in fread_pascal_string
    (CVE-2026-2239) (Closes: #1127838)
  * Fix PSP File Parsing Integer Overflow Leading to Heap Corruption
    (CVE-2026-2271) (Closes: #1127841)
  * plug-ins: Add overflow checks for ICO loading (CVE-2026-2272)
    (Closes: #1127842)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 15 Feb 2026 17:03:45 +0100

gimp (3.2.0~RC2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * plug-ins: fix #15284 ZDI-CAN-28232 vulnerability in file-psp
    (CVE-2025-15059) (Closes: #1126267)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 31 Jan 2026 13:53:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: gimp
-Priority: optional
+Standards-Version: 4.7.3
+Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
+Uploaders: Jordi Mallach <jordi@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Section: graphics
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
-Uploaders: Jordi Mallach <jordi@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dpkg-dev (>= 1.22.5),
                appstream,
                architecture-is-little-endian [!m68k],
+               bash-completion,
                dbus-daemon <!nocheck>,
                desktop-file-utils <!nocheck>,
                gegl (>= 1:0.4.66),
@@ -28,53 +28,53 @@
                libaa1-dev,
                libappstream-dev,
                libarchive-dev,
-               libasound2-dev (>= 1.0.0) [linux-any],
-               libatk1.0-dev (>= 2.4.0),
-               libbabl-dev (>= 1:0.1.116),
+               libasound2-dev [linux-any],
+               libatk1.0-dev,
+               libbabl-dev (>= 1:0.1.118),
                libbrotli-dev,
                libbz2-dev,
-               libcairo2-dev (>= 1.14.0),
+               libcairo2-dev,
                libcfitsio-dev,
-               libexif-dev (>= 0.6.15),
-               libexiv2-dev (>= 0.27.4),
-               libfontconfig-dev (>= 2.12.4),
-               libfreetype-dev (>= 2.2),
-               libgdk-pixbuf-2.0-dev (>= 2.30.8),
+               libexif-dev,
+               libexiv2-dev,
+               libfontconfig-dev,
+               libfreetype-dev,
+               libgdk-pixbuf-2.0-dev,
                libgdk-pixbuf2.0-doc,
                libgegl-dev (>= 1:0.4.66),
-               libgexiv2-dev (>= 0.14.0),
-               libgirepository-1.0-dev (>= 1.32.0),
+               libgexiv2-dev,
+               libgirepository-1.0-dev,
 #               libgjs-dev [amd64 arm64 armhf i386 mips64el ppc64el riscv64 s390x loong64 ppc64 sparc64],
-               libglib2.0-dev (>= 2.70.0),
+               libglib2.0-dev,
                libglib2.0-doc,
                libgs-dev,
-               libgtk-3-dev (>= 3.22.29),
+               libgtk-3-dev,
                libgtk-3-doc,
-               libgudev-1.0-dev (>= 167) [linux-any],
-               libharfbuzz-dev (>= 2.8.2),
-               libheif-dev (>= 1.15.1),
+               libgudev-1.0-dev [linux-any],
+               libharfbuzz-dev,
+               libheif-dev,
                libhwy-dev,
                libice-dev,
                libjpeg-dev,
-               libjson-glib-dev (>= 1.2.6),
-               libjxl-dev (>= 0.7.0),
+               libjson-glib-dev,
+               libjxl-dev,
                liblcms-dev,
-               liblcms2-dev (>= 2.9),
+               liblcms2-dev,
 #               libluajit-5.1-dev [amd64 arm64 armel armhf i386 mips64el riscv64 s390x loong64 powerpc],
-               liblzma-dev (>= 5.0.0),
-               libmng-dev (>= 2.0.0~),
-               libmypaint-dev (>= 1.4.0),
-               libopenexr-dev (>= 1.6.1),
-               libopenjp2-7-dev (>= 2.1.0),
-               libpango1.0-dev (>= 1.50.0),
-               libpng-dev (>= 1.6.25),
-               libpoppler-glib-dev (>= 0.69.0),
+               liblzma-dev,
+               libmng-dev,
+               libmypaint-dev,
+               libopenexr-dev,
+               libopenjp2-7-dev,
+               libpango1.0-dev,
+               libpng-dev,
+               libpoppler-glib-dev,
                libqoi-dev,
-               librsvg2-dev (>= 2.40.0),
+               librsvg2-dev,
                libsm-dev,
                libtiff-dev,
-               libwebp-dev (>= 0.6.0),
-               libwmf-dev (>= 0.2.8),
+               libwebp-dev,
+               libwmf-dev,
                libx11-dev,
                libxcursor-dev,
                libxml2-utils,
@@ -82,21 +82,20 @@
                libxpm-dev,
                libxt-dev,
                localehelper,
-               meson (>= 0.56),
+               meson,
                mypaint-brushes,
                patchutils,
-               poppler-data (>= 0.4.9),
+               poppler-data,
                python-gi-dev,
                shared-mime-info,
-               valac (>= 0.40.0),
+               valac,
                xauth <!nocheck>,
                xsltproc,
                xvfb <!nocheck>,
                zlib1g-dev
 Build-Depends-Indep: gi-docgen <!nodoc>, yelp-tools
-Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/gnome-team/extras/gimp
 Vcs-Git: https://salsa.debian.org/gnome-team/extras/gimp.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/extras/gimp
 Homepage: https://www.gimp.org/
 
 Package: gimp
@@ -142,8 +141,8 @@
 
 Package: gimp-data
 Architecture: all
+Depends: ${misc:Depends}
 Enhances: gimp
-Depends: ${misc:Depends}
 Description: Data files for GIMP
  This package contains architecture-independent supporting data files
  for use with GIMP.
@@ -165,10 +164,10 @@
 Section: libdevel
 Depends: gir1.2-gimp-3.0 (= ${binary:Version}),
          libgegl-dev (>= 1:0.4.66),
-         libgexiv2-dev (>= 0.14.0),
+         libgexiv2-dev,
          libgimp-3.0-0 (= ${binary:Version}),
          libgimp-3.0-bin (= ${binary:Version}),
-         libgtk-3-dev (>= 3.22.29),
+         libgtk-3-dev,
          pkgconf,
          ${gir:Depends},
          ${misc:Depends},
@@ -198,17 +197,17 @@
 
 Package: libgimp-3.0-doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Section: doc
-Build-Profiles: <!nodoc>
 Depends: lynx | www-browser, ${misc:Depends}
 Description: Developers' Documentation for the GIMP library
  This package contains the HTML documentation for the GIMP library in
  /usr/share/gtk-doc/html/ .
 
 Package: gir1.2-gimp-3.0
+Architecture: any
+Multi-Arch: same
 Section: introspection
-Architecture: any
-Multi-Arch: same
 Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Provides: ${gir:Provides}
 Description: Introspection data for the GIMP library

=== debian/tests/control ===
Tests: libgimp-3.0-dev
Depends: build-essential, libgimp-3.0-dev, xauth, xvfb
Restrictions: allow-stderr, superficial
